Index: /branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/zoo_service_loader.c
===================================================================
--- /branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/zoo_service_loader.c	(revision 512)
+++ /branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/zoo_service_loader.c	(revision 513)
@@ -2016,58 +2035,57 @@
                                              "WARNING : hInternet handle failed to initialize");
 #ifdef POST_DEBUG
-                                  curl_easy_setopt (bInternet.handle,
-                                                    CURLOPT_VERBOSE, 1);
+                                  curl_easy_setopt
+                                    (bInternet.handle, CURLOPT_VERBOSE, 1);
 #endif
                                   bInternet.waitingRequests[0] =
                                     strdup ((char *) val);
                                   res1 =
-                                    InternetOpenUrl (&bInternet,
-                                                     bInternet.waitingRequests
-                                                     [0], NULL, 0,
-                                                     INTERNET_FLAG_NO_CACHE_WRITE,
-                                                     0);
+                                    InternetOpenUrl
+                                    (&bInternet,
+                                     bInternet.waitingRequests
+                                     [0], NULL, 0,
+                                     INTERNET_FLAG_NO_CACHE_WRITE, 0);
                                   processDownloads (&bInternet);
                                   char *tmp =
                                     (char *)
-                                    malloc ((bInternet.ihandle[0].nDataLen +
-                                             1) * sizeof (char));
+                                    malloc ((bInternet.ihandle
+                                             [0].nDataLen
+                                             + 1) * sizeof (char));
                                   if (tmp == NULL)
                                     {
-                                      return errorException (m,
-                                                             _
-                                                             ("Unable to allocate memory."),
-                                                             "InternalError",
-                                                             NULL);
+                                      return
+                                        errorException
+                                        (m,
+                                         _
+                                         ("Unable to allocate memory."),
+                                         "InternalError", NULL);
                                     }
                                   size_t bRead;
-                                  InternetReadFile (bInternet.ihandle[0],
-                                                    (LPVOID) tmp,
-                                                    bInternet.ihandle[0].
-                                                    nDataLen, &bRead);
+                                  InternetReadFile
+                                    (bInternet.ihandle[0],
+                                     (LPVOID) tmp,
+                                     bInternet.ihandle[0].nDataLen, &bRead);
                                   tmp[bInternet.ihandle[0].nDataLen] = 0;
                                   InternetCloseHandle (&bInternet);
-                                  map *btmp =
-                                    getMap (tmpmaps->content, "href");
+                                  map *btmp = getMap (tmpmaps->content,
+                                                      "href");
                                   if (btmp != NULL)
                                     {
 #ifdef POST_DEBUG
-                                      fprintf (stderr, "%s %s\n", btmp->value,
-                                               tmp);
-#endif
-                                      hInternet.waitingRequests[hInternet.
-                                                                nb] =
-                                        strdup (tmp);
+                                      fprintf (stderr,
+                                               "%s %s\n", btmp->value, tmp);
+#endif
+                                      hInternet.waitingRequests
+                                        [hInternet.nb] = strdup (tmp);
                                       res =
-                                        InternetOpenUrl (&hInternet,
-                                                         btmp->value,
-                                                         hInternet.
-                                                         waitingRequests
-                                                         [hInternet.nb],
-                                                         strlen (hInternet.
-                                                                 waitingRequests
-                                                                 [hInternet.
-                                                                  nb]),
-                                                         INTERNET_FLAG_NO_CACHE_WRITE,
-                                                         0);
+                                        InternetOpenUrl
+                                        (&hInternet,
+                                         btmp->value,
+                                         hInternet.waitingRequests
+                                         [hInternet.nb],
+                                         strlen
+                                         (hInternet.waitingRequests
+                                          [hInternet.nb]),
+                                         INTERNET_FLAG_NO_CACHE_WRITE, 0);
                                     }
                                   free (tmp);
@@ -2082,5 +2100,6 @@
 #ifdef DEBUG
                       dumpMap (tmpmaps->content);
-                      fprintf (stderr, "= element 2 node \"%s\" = (%s)\n",
+                      fprintf (stderr,
+                               "= element 2 node \"%s\" = (%s)\n",
                                cur2->name, cur2->content);
 #endif
@@ -2112,15 +2131,17 @@
                                 {
 #ifdef DEBUG
-                                  fprintf (stderr, "*** LiteralData %s ***",
-                                           list[l]);
-#endif
-                                  xmlChar *val =
-                                    xmlGetProp (cur4, BAD_CAST list[l]);
+                                  fprintf (stderr,
+                                           "*** LiteralData %s ***", list[l]);
+#endif
+                                  xmlChar *val = xmlGetProp (cur4,
+                                                             BAD_CAST
+                                                             list[l]);
                                   if (val != NULL
                                       && strlen ((char *) val) > 0)
                                     {
                                       if (tmpmaps->content != NULL)
-                                        addToMap (tmpmaps->content, list[l],
-                                                  (char *) val);
+                                        addToMap
+                                          (tmpmaps->content,
+                                           list[l], (char *) val);
                                       else
                                         tmpmaps->content =
@@ -2134,7 +2155,6 @@
                                 }
                             }
-                          else
-                            if (xmlStrcasecmp
-                                (cur4->name, BAD_CAST "ComplexData") == 0)
+                          else if (xmlStrcasecmp
+                                   (cur4->name, BAD_CAST "ComplexData") == 0)
                             {
                 /**
@@ -2142,20 +2162,24 @@
 		 * mimeType, encoding, schema
 		 */
-                              const char *coms[3] =
-                                { "mimeType", "encoding", "schema" };
+                              const char *coms[3] = { "mimeType", "encoding",
+                                "schema"
+                              };
                               for (int l = 0; l < 3; l++)
                                 {
 #ifdef DEBUG
-                                  fprintf (stderr, "*** ComplexData %s ***\n",
+                                  fprintf (stderr,
+                                           "*** ComplexData %s ***\n",
                                            coms[l]);
 #endif
-                                  xmlChar *val =
-                                    xmlGetProp (cur4, BAD_CAST coms[l]);
+                                  xmlChar *val = xmlGetProp (cur4,
+                                                             BAD_CAST
+                                                             coms[l]);
                                   if (val != NULL
                                       && strlen ((char *) val) > 0)
                                     {
                                       if (tmpmaps->content != NULL)
-                                        addToMap (tmpmaps->content, coms[l],
-                                                  (char *) val);
+                                        addToMap
+                                          (tmpmaps->content,
+                                           coms[l], (char *) val);
                                       else
                                         tmpmaps->content =
@@ -2169,10 +2193,11 @@
                             }
 
-                          map *test = getMap (tmpmaps->content, "encoding");
+                          map *test = getMap (tmpmaps->content,
+                                              "encoding");
                           if (test == NULL)
                             {
                               if (tmpmaps->content != NULL)
-                                addToMap (tmpmaps->content, "encoding",
-                                          "utf-8");
+                                addToMap (tmpmaps->content,
+                                          "encoding", "utf-8");
                               else
                                 tmpmaps->content =
@@ -2184,15 +2209,18 @@
                             {
                               xmlChar *mv = xmlNodeListGetString (doc,
-                                                                  cur4->xmlChildrenNode,
+                                                                  cur4->
+                                                                  xmlChildrenNode,
                                                                   1);
-                              map *ltmp =
-                                getMap (tmpmaps->content, "mimeType");
+                              map *ltmp = getMap (tmpmaps->content,
+                                                  "mimeType");
                               if (mv == NULL
                                   ||
                                   (xmlStrcasecmp
-                                   (cur4->name, BAD_CAST "ComplexData") == 0
-                                   && (ltmp == NULL
-                                       || strncasecmp (ltmp->value,
-                                                       "text/xml", 8) == 0)))
+                                   (cur4->name,
+                                    BAD_CAST "ComplexData") ==
+                                   0 && (ltmp == NULL
+                                         ||
+                                         strncasecmp (ltmp->value,
+                                                      "text/xml", 8) == 0)))
                                 {
                                   xmlDocPtr doc1 = xmlNewDoc (BAD_CAST "1.0");
@@ -2200,5 +2228,6 @@
                                   xmlNodePtr cur5 = cur4->children;
                                   while (cur5 != NULL
-                                         && cur5->type != XML_ELEMENT_NODE
+                                         && cur5->type !=
+                                         XML_ELEMENT_NODE
                                          && cur5->type !=
                                          XML_CDATA_SECTION_NODE)
@@ -2208,11 +2237,10 @@
                                     {
                                       xmlDocSetRootElement (doc1, cur5);
-                                      xmlDocDumpFormatMemoryEnc (doc1, &mv,
-                                                                 &buffersize,
-                                                                 "utf-8", 1);
+                                      xmlDocDumpFormatMemoryEnc
+                                        (doc1, &mv, &buffersize, "utf-8", 1);
                                       char size[1024];
                                       sprintf (size, "%d", buffersize);
-                                      addToMap (tmpmaps->content, "size",
-                                                size);
+                                      addToMap (tmpmaps->content,
+                                                "size", size);
                                       xmlFreeDoc (doc1);
                                     }
@@ -2220,6 +2248,6 @@
                               if (mv != NULL)
                                 {
-                                  addToMap (tmpmaps->content, "value",
-                                            (char *) mv);
+                                  addToMap (tmpmaps->content,
+                                            "value", (char *) mv);
                                   xmlFree (mv);
                                 }
@@ -2231,11 +2259,12 @@
                                                                       xmlChildrenNode,
                                                                       0);
-                              addToMap (tmpmaps->content, "value",
-                                        (char *) tmp);
-                              map *tmpv = getMap (tmpmaps->content, "value");
+                              addToMap (tmpmaps->content,
+                                        "value", (char *) tmp);
+                              map *tmpv = getMap (tmpmaps->content,
+                                                  "value");
                               char *res = NULL;
                               char *curs = tmpv->value;
-                              for (int i = 0; i <= strlen (tmpv->value) / 64;
-                                   i++)
+                              for (int i = 0;
+                                   i <= strlen (tmpv->value) / 64; i++)
                                 {
                                   if (res == NULL)
@@ -2244,7 +2273,9 @@
                                   else
                                     res =
-                                      (char *) realloc (res,
-                                                        (((i + 1) * 65) +
-                                                         i) * sizeof (char));
+                                      (char *)
+                                      realloc (res,
+                                               (((i +
+                                                  1) *
+                                                 65) + i) * sizeof (char));
                                   int csize = i * 65;
                                   strncpy (res + csize, curs, 64);
@@ -2253,6 +2284,7 @@
                                   else
                                     {
-                                      strncpy (res + (((i + 1) * 64) + i),
-                                               "\n\0", 2);
+                                      strncpy (res +
+                                               (((i +
+                                                  1) * 64) + i), "\n\0", 2);
                                       curs += 64;
                                     }
@@ -2278,6 +2310,6 @@
 
               {
-                maps *testPresence =
-                  getMaps (request_input_real_format, tmpmaps->name);
+                maps *testPresence = getMaps (request_input_real_format,
+                                              tmpmaps->name);
                 if (testPresence != NULL)
                   {
@@ -2346,5 +2378,7 @@
               if (tmpmaps == NULL)
                 {
-                  return errorException (m, _("Unable to allocate memory."),
+                  return errorException (m,
+                                         _
+                                         ("Unable to allocate memory."),
                                          "InternalError", NULL);
                 }
@@ -2370,6 +2404,6 @@
                         {
                           if (tmpmaps->content != NULL)
-                            addToMap (tmpmaps->content, outs[l],
-                                      (char *) val);
+                            addToMap (tmpmaps->content,
+                                      outs[l], (char *) val);
                           else
                             tmpmaps->content =
@@ -2389,6 +2423,7 @@
                        xmlStrlen (cur2->name)) == 0)
                     {
-                      xmlChar *val =
-                        xmlNodeListGetString (NULL, cur2->xmlChildrenNode, 1);
+                      xmlChar *val = xmlNodeListGetString (NULL,
+                                                           cur2->xmlChildrenNode,
+                                                           1);
                       free (tmpmaps->name);
                       tmpmaps->name = zStrdup ((char *) val);
@@ -2413,5 +2448,5 @@
         for (int k = 0; k < tmps->nodeNr; k++)
           {
-            //else
+            // else
             addToMap (request_inputs, "ResponseDocument", "");
             maps *tmpmaps = NULL;
@@ -2475,7 +2510,7 @@
                          xmlStrlen (cur1->name)) == 0)
                       {
-                        xmlChar *val =
-                          xmlNodeListGetString (doc, cur1->xmlChildrenNode,
-                                                1);
+                        xmlChar *val = xmlNodeListGetString (doc,
+                                                             cur1->xmlChildrenNode,
+                                                             1);
                         if (tmpmaps == NULL)
                           {
@@ -2498,24 +2533,24 @@
                           }
                         if (asRaw == true)
-                          addToMap (request_inputs, "RawDataOutput",
-                                    (char *) val);
+                          addToMap (request_inputs,
+                                    "RawDataOutput", (char *) val);
                         else
                           {
                             if (cur1cnt == 0)
-                              addToMap (request_inputs, "ResponseDocument",
-                                        (char *) val);
+                              addToMap (request_inputs,
+                                        "ResponseDocument", (char *) val);
                             else
                               {
-                                map *tt =
-                                  getMap (request_inputs, "ResponseDocument");
+                                map *tt = getMap (request_inputs,
+                                                  "ResponseDocument");
                                 char *tmp = zStrdup (tt->value);
                                 free (tt->value);
-                                tt->value =
-                                  (char *)
+                                tt->value = (char *)
                                   malloc ((strlen (tmp) +
-                                           strlen ((char *) val) +
-                                           1) * sizeof (char));
-                                sprintf (tt->value, "%s;%s", tmp,
-                                         (char *) val);
+                                           strlen ((char
+                                                    *)
+                                                   val) + 1) * sizeof (char));
+                                sprintf (tt->value, "%s;%s",
+                                         tmp, (char *) val);
                                 free (tmp);
                               }
@@ -2527,14 +2562,15 @@
 	     * Title, Asbtract
 	     */
-                    else
-                      if (xmlStrncasecmp
-                          (cur1->name, BAD_CAST "Title",
-                           xmlStrlen (cur1->name)) == 0
-                          || xmlStrncasecmp (cur1->name, BAD_CAST "Abstract",
-                                             xmlStrlen (cur1->name)) == 0)
+                    else if (xmlStrncasecmp
+                             (cur1->name, BAD_CAST "Title",
+                              xmlStrlen (cur1->name)) == 0
+                             || xmlStrncasecmp (cur1->name,
+                                                BAD_CAST
+                                                "Abstract",
+                                                xmlStrlen (cur1->name)) == 0)
                       {
-                        xmlChar *val =
-                          xmlNodeListGetString (doc, cur1->xmlChildrenNode,
-                                                1);
+                        xmlChar *val = xmlNodeListGetString (doc,
+                                                             cur1->xmlChildrenNode,
+                                                             1);
                         if (tmpmaps == NULL)
                           {
@@ -2555,6 +2591,6 @@
                           {
                             if (tmpmaps->content != NULL)
-                              addToMap (tmpmaps->content, (char *) cur1->name,
-                                        (char *) val);
+                              addToMap (tmpmaps->content,
+                                        (char *) cur1->name, (char *) val);
                             else
                               tmpmaps->content =
@@ -2563,8 +2599,7 @@
                         xmlFree (val);
                       }
-                    else
-                      if (xmlStrncasecmp
-                          (cur1->name, BAD_CAST "Output",
-                           xmlStrlen (cur1->name)) == 0)
+                    else if (xmlStrncasecmp
+                             (cur1->name, BAD_CAST "Output",
+                              xmlStrlen (cur1->name)) == 0)
                       {
               /**
@@ -2573,5 +2608,6 @@
 	       */
                         const char *outs[5] =
-                          { "mimeType", "encoding", "schema", "uom",
+                          { "mimeType", "encoding", "schema",
+                          "uom",
                           "asReference"
                         };
@@ -2581,11 +2617,11 @@
                             fprintf (stderr, "*** %s ***\t", outs[l]);
 #endif
-                            xmlChar *val =
-                              xmlGetProp (cur1, BAD_CAST outs[l]);
+                            xmlChar *val = xmlGetProp (cur1,
+                                                       BAD_CAST outs[l]);
                             if (val != NULL && strlen ((char *) val) > 0)
                               {
                                 if (tmpmaps->content != NULL)
-                                  addToMap (tmpmaps->content, outs[l],
-                                            (char *) val);
+                                  addToMap (tmpmaps->content,
+                                            outs[l], (char *) val);
                                 else
                                   tmpmaps->content =
@@ -2606,9 +2642,11 @@
 		 */
                             if (xmlStrncasecmp
-                                (cur2->name, BAD_CAST "Identifier",
+                                (cur2->name,
+                                 BAD_CAST "Identifier",
                                  xmlStrlen (cur2->name)) == 0)
                               {
                                 xmlChar *val = xmlNodeListGetString (doc,
-                                                                     cur2->xmlChildrenNode,
+                                                                     cur2->
+                                                                     xmlChildrenNode,
                                                                      1);
                                 if (tmpmaps == NULL)
@@ -2617,9 +2655,10 @@
                                     if (tmpmaps == NULL)
                                       {
-                                        return errorException (m,
-                                                               _
-                                                               ("Unable to allocate memory."),
-                                                               "InternalError",
-                                                               NULL);
+                                        return
+                                          errorException
+                                          (m,
+                                           _
+                                           ("Unable to allocate memory."),
+                                           "InternalError", NULL);
                                       }
                                     tmpmaps->name = zStrdup ((char *) val);
@@ -2638,15 +2677,17 @@
 		 * Title, Asbtract
 		 */
-                            else
-                              if (xmlStrncasecmp
-                                  (cur2->name, BAD_CAST "Title",
-                                   xmlStrlen (cur2->name)) == 0
-                                  || xmlStrncasecmp (cur2->name,
-                                                     BAD_CAST "Abstract",
-                                                     xmlStrlen (cur2->name))
-                                  == 0)
+                            else if (xmlStrncasecmp
+                                     (cur2->name,
+                                      BAD_CAST "Title",
+                                      xmlStrlen (cur2->name)) == 0
+                                     || xmlStrncasecmp (cur2->name,
+                                                        BAD_CAST
+                                                        "Abstract",
+                                                        xmlStrlen
+                                                        (cur2->name)) == 0)
                               {
                                 xmlChar *val = xmlNodeListGetString (doc,
-                                                                     cur2->xmlChildrenNode,
+                                                                     cur2->
+                                                                     xmlChildrenNode,
                                                                      1);
                                 if (tmpmaps == NULL)
@@ -2655,15 +2696,17 @@
                                     if (tmpmaps == NULL)
                                       {
-                                        return errorException (m,
-                                                               _
-                                                               ("Unable to allocate memory."),
-                                                               "InternalError",
-                                                               NULL);
+                                        return
+                                          errorException
+                                          (m,
+                                           _
+                                           ("Unable to allocate memory."),
+                                           "InternalError", NULL);
                                       }
                                     tmpmaps->name =
                                       zStrdup ("missingIndetifier");
                                     tmpmaps->content =
-                                      createMap ((char *) cur2->name,
-                                                 (char *) val);
+                                      createMap ((char
+                                                  *)
+                                                 cur2->name, (char *) val);
                                     tmpmaps->next = NULL;
                                   }
@@ -2671,7 +2714,7 @@
                                   {
                                     if (tmpmaps->content != NULL)
-                                      addToMap (tmpmaps->content,
-                                                (char *) cur2->name,
-                                                (char *) val);
+                                      addToMap
+                                        (tmpmaps->content,
+                                         (char *) cur2->name, (char *) val);
                                     else
                                       tmpmaps->content =
@@ -2710,5 +2753,5 @@
   runHttpRequests (&m, &request_input_real_format, &hInternet);
 
-  //  if(CHECK_INET_HANDLE(hInternet))
+  // if(CHECK_INET_HANDLE(hInternet))
   InternetCloseHandle (&hInternet);
 
@@ -2845,6 +2888,6 @@
                   strcpy (fileNameOnServer, name + t + 1);
 
-                  sprintf (storageNameOnServer, "%s/%s", path->value,
-                           fileNameOnServer);
+                  sprintf (storageNameOnServer, "%s/%s",
+                           path->value, fileNameOnServer);
 #ifdef DEBUG
                   fprintf (stderr, "Name on server %s\n",
@@ -2854,10 +2897,12 @@
 #endif
                   targetFile =
-                    open (storageNameOnServer, O_RDWR | O_CREAT | O_TRUNC,
+                    open (storageNameOnServer,
+                          O_RDWR | O_CREAT | O_TRUNC,
                           S_IRWXU | S_IRGRP | S_IROTH);
                   if (targetFile < 0)
                     {
 #ifdef DEBUG
-                      fprintf (stderr, "could not create the new file,%s\n",
+                      fprintf (stderr,
+                               "could not create the new file,%s\n",
                                fileNameOnServer);
 #endif
@@ -2865,5 +2910,6 @@
                   else
                     {
-                      while (cgiFormFileRead (file, buffer, BufferLen, &got)
+                      while (cgiFormFileRead
+                             (file, buffer, BufferLen, &got)
                              == cgiFormSuccess)
                         {
